Bug 1926126 - some kebab/action menu translation issues
Summary: some kebab/action menu translation issues
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.8.0
Assignee: ralpert
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-08 09:48 UTC by Yadan Pei
Modified: 2021-07-27 22:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Translations had mistakes. Consequence: Poor user experience. Fix: Received updated translations from the team that handles those and imported them. Result: Bug is fixed.
Clone Of:
Environment:
Last Closed: 2021-07-27 22:42:10 UTC
Target Upstream Version:


Attachments (Terms of Use)
01 - Delete Persistent Volume Claim not i18ned (43.82 KB, image/png)
2021-02-08 09:48 UTC, Yadan Pei
no flags Details
02 - Node menu issues (42.80 KB, image/png)
2021-02-08 09:56 UTC, Yadan Pei
no flags Details
03 - Add HPA not i18ned (75.42 KB, image/png)
2021-02-08 09:57 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8129 0 None open Bug 1926126: Remove period in translation 2021-02-10 19:35:47 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:42:37 UTC

Description Yadan Pei 2021-02-08 09:48:12 UTC
Created attachment 1755670 [details]
01 - Delete Persistent Volume Claim not i18ned

Description of problem:
There are some translation issues about kebab/action menu

Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2021-02-06-084550

How reproducible:
Always

Steps to Reproduce:
1. visit console and set Language to 中文 or 日本语
2. Check some menu translations
3.

Actual results:
2. there are several issues
- `Delete Persistent Volume Claim` is not internationalized, see screenshot 01
- `将节点标记为不可调度。`  an additional period is added, see screenshot 02
- `删除节点`  a space is needed between 删除 and 节点, see screenshot 02
- `Add HorizontalPodAutoscaler` is not internationalized, see screenshot 03

Expected results:
2. 
- `Delete Persistent Volume Claim` should be translated into Chinese and Japanese
- `将节点比较为不可调度` (remove the ending period)
- `删除 节点`  (add space between the words)
- `Add HorizontalPodAutoscaler` should be translated into Chinese and Japanese


Additional info:

Comment 1 Yadan Pei 2021-02-08 09:56:29 UTC
Created attachment 1755671 [details]
02 - Node menu issues

Comment 2 Yadan Pei 2021-02-08 09:57:02 UTC
Created attachment 1755672 [details]
03 - Add HPA not i18ned

Comment 3 ralpert 2021-02-08 17:09:03 UTC
Hi @yapei@redhat.com! We already addressed "Delete Persistent Volume Claim" in https://bugzilla.redhat.com/show_bug.cgi?id=1920771 and "Add Horizontal Pod Autoscaler" in https://bugzilla.redhat.com/show_bug.cgi?id=1908983. I'll make the updates for the menu translations. Thanks for flagging those!

Comment 4 ralpert 2021-02-08 23:20:31 UTC
Just wanted to add - Add HorizontalPodAutoscaler should be translated in PR https://github.com/openshift/console/pull/8101/ (just got these today). Delete Persistent Volume Claim will be part of the next drop.

Comment 5 ralpert 2021-02-10 15:14:16 UTC
Translation said there shouldn't be a space between between 删除 and 节点 in 删除节点, but they agreed the extra period in 将节点标记为不可调度 was unnecessary. They'll remove the period on their end and I'll file a PR on our end to remove it.

Comment 7 Yanping Zhang 2021-03-15 06:49:12 UTC
Tested on ocp 4.8 cluster with payload 4.8.0-0.nightly-2021-03-14-134919.
Check on node page, in action item list, the "将节点标记为不可调度。" has been updated to "将节点标记为不可调度".
The bug is fixed.

Comment 10 errata-xmlrpc 2021-07-27 22:42:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.